# pyCirclizely: Circular visualization in Python with plotly

![Python3](https://img.shields.io/badge/Language-Python3-steelblue)
![OS](https://img.shields.io/badge/OS-_Windows_%7C_Mac_%7C_Linux-steelblue)
![License](https://img.shields.io/badge/License-MIT-steelblue)

## Overview

pyCirclizely is a reimagining of [pyCirclize](https://github.com/moshi4/pyCirclize) for interactive circular visualizations in python, enabling interactive and publication-ready circular visualizations such as Circos plots, Chord diagrams, and Phylogenetic trees. It is the spiritual successor to the original [pyCirclize](https://github.com/moshi4/pyCirclize) library, now reimagined with modern, browser-based interactivity.

## Why pyCirclizely?

- Interactive plots using [Plotly](https://plotly.com/python/)
- Jupyter-ready: explore your data live
- Supports Circos plots, Chord diagrams, Radar charts, Phylogenetic trees, and more
- Easy installation via pip or conda

## Installation

`Python 3.10 or later` is required for installation.

_Not yet available on PyPI or conda-forge — install from source for now._

```bash
git clone https://github.com/yourusername/pyCirclizely.git
cd pyCirclizely
pip install -e .
```

## API Usage

API usage is described in each of the following sections.

- [Getting Started](./getting_started/)
- [Plot API Example](./plot_api_example/)
- [Chord Diagram](./chord_diagram/)
- [Radar Chart](./radar_chart/)
- [Circos Plot (Prokaryotes)](./circos_plot_prok/)
- [Circos Plot (Eukaryotes)](./circos_plot_euk/)
- [Comparative Genomics](./comparative_genomics)
- [Phylogenetic Tree](./phylogenetic_tree/)
- [Plot Tips](./plot_tips/)
